/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  wdt.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  WDT函数文件
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "wdt.h"

/***************************************************************
 描  述：WDT初始化初始化
 输入值：无
 返回值：无
***************************************************************/
void WDTInit(void)
{
    IWDT_InitStruType x;

    x.WDT_Tms = 4000;
    x.WDT_IE = Enable;              /* IWDT中断使能 */
    x.WDT_Rst = Enable;             /* IWDT复位使能 */
    x.WDT_Clock = IWDT_CLOCK_WDT;   /* LRC */
    
    /* 注意：当IWDT是通过配置字使能时，IWDT_Init对IWDT_CON寄存器配置无效，
             此时用户需要通过函数IWDT_SetReloadValue自行配置IWDT_LOAD装载寄存器的值，
             配置IWDT_LOAD前需要对IWDT解锁，配置完成后要对IWDT上锁。*/
    IWDT_Init(&x);

    /* 使能IWDT */
    IWDT_Enable();
}
